=== debian/changelog ===
yade (1.20.0-7) unstable; urgency=high

  * [5fb4ec8] Fix warning in newer matplotlib.

 -- Anton Gladky <gladk@debian.org>  Sun, 14 Feb 2016 11:38:28 +0100

yade (1.20.0-6) unstable; urgency=medium

  * [87574cb] Disable parallel builds. (Closes: #805032)

 -- Anton Gladky <gladk@debian.org>  Fri, 13 Nov 2015 21:06:18 +0100

yade (1.20.0-5) unstable; urgency=medium

  * [0a7070e] Do not use parallel build on arm64

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Oct 2015 17:58:12 +0100

yade (1.20.0-4) unstable; urgency=medium

  * [e6cacc9] Remove amd64 from unsupported archs.

 -- Anton Gladky <gladk@debian.org>  Sun, 25 Oct 2015 14:23:43 +0100

yade (1.20.0-3) unstable; urgency=medium

  * [eba76bf] Remove menu-file.
  * [c490032] Drop unused architectures. (Closes: #793833)

 -- Anton Gladky <gladk@debian.org>  Sun, 25 Oct 2015 14:18:38 +0100

yade (1.20.0-2) unstable; urgency=medium

  * [de077fc] Replace INSTALL_PREFIX by CMAKE_INSTALL_PREFIX.
  * [9d7b263] Do not require libqglviewer-dev on armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sun, 11 Oct 2015 09:55:07 +0200

yade (1.20.0-1) unstable; urgency=medium

  * [07a04e8] Imported Upstream version 1.20.0
  * [e1fae74] Migrate to Qt5
  * [12cc97b] Enable SPH.
  * [fe64fdd] Remove patches applied by upstream.
  * [b8178ce] Remove python-argparse from build-depends.
  * [d741b20] Enable parallel build.

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Oct 2015 12:49:01 +0200

yade (1.14.0-7) unstable; urgency=medium

  * [66b209d] Do not install qt on armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Sep 2015 13:53:41 +0200

yade (1.14.0-6) unstable; urgency=medium

  * [e147975] Build on all possible platforms.
  * [4296fd1] Drop old Breaks/Replaces.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Sep 2015 21:13:33 +0200

yade (1.14.0-5) unstable; urgency=medium

  * [170f338] Drop vtk support on armel and armhf.
  * [bed9ecf] Fix compilation without GUI on armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Jul 2015 21:45:10 +0300

yade (1.14.0-4) unstable; urgency=medium

  * [c820752] Drop GUI-option for armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Jul 2015 08:02:35 +0300

yade (1.14.0-3) unstable; urgency=medium

  * [dcc15ea] Fix compilation against new libqglviewer. (Closes: #790627)
  * [2a34be9] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Jul 2015 14:09:45 +0200

yade (1.14.0-2) unstable; urgency=medium

  * [48899db] Add python-sip to BD.

 -- Anton Gladky <gladk@debian.org>  Mon, 15 Jun 2015 23:27:06 +0200

yade (1.14.0-1) unstable; urgency=medium

  * [cef3691] Imported Upstream version 1.14.0
  * [0f5f82a] Remove applied patch.
  * [ea3deda] Update d/copyright.
  * [ee055e2] Apply cme fix dpkg-control.
  * [d00d812] Remove FindVTK from cmake. (Closes: #788372)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Jun 2015 18:42:25 +0200

yade (1.12.0-3~exp1) experimental; urgency=medium

  [ Anton Gladky ]
  * [5ac2a25] Let yade be built only on specific archs.

  [ Dejan Latinovic ]
  * [ac47ddb] Enable yade on on mips/mipsel. (Closes: #777065)

  [ Anton Gladky ]
  * [fef7397] Fix compilation with  GCC-5. (Closes: #778190).

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Feb 2015 00:05:40 +0100
