=== debian/tests/control ===
Tests: yadetest
