## yade 2016.06a

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,11 @@
 #  ENABLE_LIQMIGRATION: enable LIQMIGRATION-option, see [Mani2013] for details (OFF by default)
 #  ENABLE_MASK_ARBITRARY: enable MASK_ARBITRARY option (OFF by default)
 #  ENABLE_PROFILING: enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)
+#  ENABLE_POTENTIAL_PARTICLES: enable potential particles option (OFF by default)
 #  runtimePREFIX: used for packaging, when install directory is not the same is runtime directory (/usr/local by default)
 #  CHUNKSIZE: set >1, if you want several sources to be compiled at once. Increases compilation speed and RAM-consumption during it (1 by default)
 #  VECTORIZE: enables vectorization and alignment in Eigen3 library, experimental (OFF by default)
-#  USE_QT5: use QT5 for GUI, experimental (OFF by default)
+#  USE_QT5: use QT5 for GUI (ON by default)
 
 project(Yade C CXX)
 cmake_minimum_required(VERSION 2.8.11)
@@ -71,19 +72,21 @@
   ENDIF()
 ENDIF()
 
-SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++0x")
+SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++11 ")
 
 IF (DEBUG)
   SET(CMAKE_VERBOSE_MAKEFILE 1)
   SET(CMAKE_BUILD_TYPE Debug)
   ADD_DEFINITIONS("-DYADE_DEBUG -g")
+ELSE (DEBUG)
+  ADD_DEFINITIONS("-DNDEBUG")
 ENDIF (DEBUG)
 
 #===========================================================
 # Add possibility to use local boost installation (e.g. -DLocalBoost=1.46.1)
 
 IF ( NOT LocalBoost )
-  SET(LocalBoost "1.35.0") # Minimal required Boost version
+  SET(LocalBoost "1.47.0") # Minimal required Boost version
 ENDIF ( NOT LocalBoost )
 FIND_PACKAGE(Boost ${LocalBoost} COMPONENTS python thread filesystem iostreams regex serialization system date_time REQUIRED)
 INCLUDE_DIRECTORIES (${Boost_INCLUDE_DIRS})
@@ -127,7 +130,8 @@
 OPTION(ENABLE_LIQMIGRATION "Enable liquid control (very experimental), see [Mani2013] for details" OFF)
 OPTION(ENABLE_MASK_ARBITRARY "Enable arbitrary precision of bitmask variables (only Body::groupMask yet implemented) (experimental). Use -DMASK_ARBITRARY_SIZE=int to set number of used bits (256 by default)" OFF)
 OPTION(ENABLE_PROFILING "Enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)" OFF)
-OPTION(USE_QT5 "USE Qt5 for GUI" OFF)
+OPTION(ENABLE_POTENTIAL_PARTICLES "Enable potential particles" OFF)
+OPTION(USE_QT5 "USE Qt5 for GUI" ON)
 
 #===========================================================
 # Use Eigen3 by default
@@ -219,9 +223,9 @@
   FIND_PACKAGE(OpenGL)
   FIND_PACKAGE(GLUT)
   FIND_PACKAGE(glib2)
-  FIND_PACKAGE(QGLVIEWER)
     
   IF(USE_QT5)
+    FIND_PACKAGE(QGLVIEWER-qt5 REQUIRED)
     FIND_PACKAGE(Qt5 CONFIG REQUIRED Widgets Xml OpenGL)
     SET(CMAKE_AUTOMOC ON)
     FIND_PACKAGE(Qt5Widgets)
@@ -238,6 +242,7 @@
       SET(ENABLE_GUI OFF)
     ENDIF(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
   ELSE(USE_QT5)   # Use Qt4
+    FIND_PACKAGE(QGLVIEWER-qt4 REQUIRED)
     FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui QtOpenGL)
     IF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
       SET(GUI_LIBS ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${QGLVIEWER_LIBRARIES})
@@ -257,10 +262,3 @@
 ELSE(ENABLE_GUI)
   SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
 ENDIF(ENABLE_GUI)
-#===========================================================
-# This one will automatically enable CGAL
-IF(ENABLE_PFVFLOW)
-  IF (NOT ENABLE_CGAL)
-    MESSAGE(STATUS "PFVFLOW depends on CGAL, attempting to turn ENABLE_CGAL ON")
-    SET(ENABLE_CGAL ON)
-  ENDIF (NOT ENABLE_CGAL)
