=== debian/changelog ===
yade (2016.06a-4) unstable; urgency=medium

  * [c982cf0] Add python-pyqt5.qtwebkit to dependencies.
  * [9525172] Fix crash during testing.

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Aug 2016 20:14:20 +0200

yade (2016.06a-3) unstable; urgency=medium

  * [a216214] Disable check-script temporarily.

 -- Anton Gladky <gladk@debian.org>  Tue, 26 Jul 2016 19:42:51 +0200

yade (2016.06a-2) unstable; urgency=medium

  * [0713e25] Add texlive-generic-extra to build-depends. (Closes: #829352)

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jul 2016 21:17:53 +0200

yade (2016.06a-1) unstable; urgency=medium

  * [a70d0b6] Refresh, update patches.
  * [6bff5bc] Imported Upstream version 2016.06a
  * [4916356] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Jun 2016 17:23:23 +0200

yade (1.20.0-10) unstable; urgency=medium

  [ Anton Gladky ]
  * [bc45d12] Remove some machine-specific items in documentation.

  [ Graham Inggs ]
  * [57d5a6d] Fix glibc_2.23 compilation. (Closes: #820450)

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Jun 2016 22:56:10 +0200

yade (1.20.0-9) unstable; urgency=medium

  [ Anton Gladky ]
  * [2a9a603] Update dependencies for libqglviewer-dev-qt5.

  [ Graham Inggs ]
  * [a68444e] Fix FTBFS with glibc 2.23. (Closes: #820450)

 -- Anton Gladky <gladk@debian.org>  Fri, 20 May 2016 19:49:42 +0200

yade (1.20.0-8) unstable; urgency=medium

  * [1960e9d] Add allow-stderr to autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Mar 2016 06:31:45 +0100
