=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libloki-dev,
                libmetis-dev [amd64 i386 powerpc],
                libopenblas-dev [amd64 i386 powerpc],
-               libqglviewer-dev,
+               libqglviewer-dev-qt5,
                libsuitesparse-dev [amd64 i386 powerpc],
                libvtk6-dev,
                libxi-dev,
@@ -40,16 +40,17 @@
                      libjs-jquery,
                      lmodern,
                      python-bibtex,
-                     python-sphinx (>= 1.0.7+dfsg),
+                     python-sphinx,
                      texlive-fonts-recommended,
+                     texlive-generic-extra,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      texlive-pictures,
                      texlive-xetex,
                      tipa
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yade.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/yade.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yade.git
 Homepage: https://launchpad.net/yade
 X-Python-Version: current
 
@@ -61,6 +62,7 @@
          ipython,
          libyade (= ${binary:Version}),
          python-yade (= ${binary:Version}),
+         python-pyqt5.qtwebkit,
          ${python:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
