=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,7 @@
 	help2man $(tmpInstall)/usr/bin/yade > yade.1
 	help2man $(tmpInstall)/usr/bin/yade-batch > yade-batch.1
 	$(tmpInstall)/usr/bin/yade --test
-ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
 	$(tmpInstall)/usr/bin/yade --check
-endif
 	dh_numpy
 ifeq ($(BUILD_DOC), yes)
 	#Generate docs
