## yade 2017.01a

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
 INCLUDE(FindPythonModule)
 INCLUDE(GNUInstallDirs)
 
+
 INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})
 
 #===========================================================
@@ -72,7 +73,7 @@
   ENDIF()
 ENDIF()
 
-SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++11 ")
+SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++11 -fext-numeric-literals")
 
 IF (DEBUG)
   SET(CMAKE_VERBOSE_MAKEFILE 1)
@@ -132,6 +133,7 @@
 OPTION(ENABLE_PROFILING "Enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)" OFF)
 OPTION(ENABLE_POTENTIAL_PARTICLES "Enable potential particles" OFF)
 OPTION(USE_QT5 "USE Qt5 for GUI" ON)
+OPTION(ENABLE_POTENTIAL_BLOCKS "Enable PotentialBlocks" OFF)
 
 #===========================================================
 # Use Eigen3 by default
@@ -169,7 +171,7 @@
      ((Boost_MINOR_VERSION EQUAL 53) OR (Boost_MINOR_VERSION GREATER 53)))
 #===========================================================
 IF(ENABLE_VTK)
-  FIND_PACKAGE(VTK COMPONENTS vtkCommonCore vtkIOImage vtkIOXML)
+  FIND_PACKAGE(VTK COMPONENTS vtkCommonCore vtkIOImage vtkIOXML vtkFiltersCore vtkImagingCore vtkRenderingCore vtkImagingGeneral vtkImagingHybrid)
   IF(VTK_FOUND)
     INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
     LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
@@ -257,8 +259,3 @@
       MESSAGE(STATUS "GUI-LIBS NOT found")
       SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
       SET(ENABLE_GUI OFF)
-    ENDIF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
-  ENDIF(USE_QT5)
-ELSE(ENABLE_GUI)
-  SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
-ENDIF(ENABLE_GUI)
