=== debian/changelog ===
yade (2017.01a-9) unstable; urgency=medium

  * [fef2967] Drop file-duplocates in python-yade. (Closes: #868552)
  * [08aa6fe] List all supported archs in d/control. (Closes: #860854)
  * [9804642] Replace obsolete python-imaging by python-pil. (Closes: #866501)
  * [7852bd4] Apply cme fix dpkg. Migrate to Standards-Version 4.0.0.

 -- Anton Gladky <gladk@debian.org>  Mon, 31 Jul 2017 00:34:52 +0200

yade (2017.01a-8) unstable; urgency=medium

  [ Bruno Chareyre ]
  * [be08409] Critical bugfix for periodic boundaries.

 -- Anton Gladky <gladk@debian.org>  Fri, 14 Apr 2017 12:43:59 +0200

yade (2017.01a-7) unstable; urgency=medium

  * [31387da] Add missing dependency on python-pyqt5.qtsvg in python-yade.

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Feb 2017 22:03:24 +0100

yade (2017.01a-6) unstable; urgency=medium

  * [2366d84] Add missing dependency on python-pyqt5.qtsvg.

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Feb 2017 21:53:02 +0100

yade (2017.01a-5) unstable; urgency=medium

  * [eb193dd] Revert patch applied by last upload.
  * [11efabc] Stop generating of PDF file. (Closes: #856218)

 -- Anton Gladky <gladk@debian.org>  Mon, 27 Feb 2017 23:20:27 +0100

yade (2017.01a-4) unstable; urgency=medium

  * [e248862] Fix FTBFS during documentation build. (Closes: #856218)

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Feb 2017 20:21:22 +0100

yade (2017.01a-3) unstable; urgency=medium

  * [14120f5] Initialize GUI in IPython 5. (Closes: #856175)

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Feb 2017 00:47:26 +0100

yade (2017.01a-2) unstable; urgency=medium

  * [1a804bb] Disable parallel build.

 -- Anton Gladky <gladk@debian.org>  Mon, 23 Jan 2017 17:36:15 +0100

yade (2017.01a-1) unstable; urgency=medium

  * [4b5edc3] New upstream version 2017.01a
  * [09577db] Update/Remove patches.
  * [d763fbf] Set compat level to 10.

 -- Anton Gladky <gladk@debian.org>  Thu, 19 Jan 2017 22:48:54 +0100

yade (2016.06a-7) unstable; urgency=medium

  * [a7a08a9] Fix ipython5 config module.

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Dec 2016 21:18:05 +0100

yade (2016.06a-6) unstable; urgency=medium

  * [4ab8a46] Fix FTBFS against booost_1.62. (Closes: #845742)
  * [e3afe8b] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Dec 2016 12:24:48 +0100

yade (2016.06a-5) unstable; urgency=medium

  [ Tobias Hansen ]
  * Include ipython_directive.py from IPython 5.1.0 to fix build
    with IPython 5. (Closes: #840527)

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Oct 2016 23:25:13 +0200
