=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Testsuite: autopkgtest
 Priority: extra
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
+               dh-exec,
                freeglut3-dev,
                help2man,
-               ipython,
+               ipython (>= 5),
                libboost-all-dev,
                libbz2-dev,
                libcgal-dev,
@@ -26,12 +27,13 @@
                pyqt5-dev-tools,
                python-all-dev,
                python-gts,
-               python-imaging,
+               python-pil,
                python-matplotlib,
                python-minieigen,
                python-numpy,
                python-sip,
                python-pyqt5,
+               python-pyqt5.qtsvg,
                python-tk,
                python-xlib,
                zlib1g-dev
@@ -48,14 +50,14 @@
                      texlive-pictures,
                      texlive-xetex,
                      tipa
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yade.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yade.git
 Homepage: https://launchpad.net/yade
 X-Python-Version: current
 
 Package: yade
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x hppa kfreebsd-amd64 powerpc ppc64 sparc64 x32
 Multi-Arch: foreign
 Depends: gnuplot,
          gtk2-engines-pixbuf,
@@ -79,7 +81,7 @@
  This package contains speed-optimized build of yade.
 
 Package: libyade
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x hppa kfreebsd-amd64 powerpc ppc64 sparc64 x32
 Multi-Arch: same
 Depends: libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
          ${misc:Depends},
@@ -98,16 +100,17 @@
  This package contains yade`s libraries.
 
 Package: python-yade
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x hppa kfreebsd-amd64 powerpc ppc64 sparc64 x32
 Multi-Arch: foreign
 Section: python
 Depends: libyade (= ${binary:Version}),
          python-argparse,
          python-gts,
-         python-imaging,
+         python-pil,
          python-matplotlib,
          python-minieigen,
          python-pyqt5,
+         python-pyqt5.qtsvg,
          python-tk,
          python-xlib,
          ${misc:Depends},
