=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 tmpDirMatplotLib = $(CURDIR)/debian/matplotlib
 
 %:
-	dh $@ --builddirectory=$(BUILDDIR) --with python2
+	dh $@ --builddirectory=$(BUILDDIR) --with python2 --no-parallel
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-no-keep-memory
 
@@ -26,10 +26,6 @@
 -DENABLE_SPH=ON
 
 override_dh_auto_configure:
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel))
-	echo 'This architecture is not supported, exiting'
-	exit 2
-endif
 	dh_auto_configure -- $(extra_flags)
 	mkdir -p $(tmpDirMatplotLib)
 	mkdir -p $(tmpInstall)
@@ -47,7 +43,7 @@
 	dh_numpy
 ifeq ($(BUILD_DOC), yes)
 	#Generate docs
-	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py; cd _build/latex; xelatex Yade.tex; xelatex Yade.tex; xelatex Yade.tex;
+	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py
 endif
 	#Delete all pyc files
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
